/*
	Common
*/
#define CON_ENABLE			'E'		//Enabled
#define CON_DISABLE			'D'		//Disabled
#define FILE_CONFIG_OUTPUT_PATH		"/home/flexyard/flexyard/dfile/3Z_Config.dat"
#define FILE_CONFIG_OUTPUT_NAME		"3Z_Config.dat"
#define FILE_CONFIG_PATH		"/home/flexyard/flexyard/sysconfig/WebConfig.dat"
#define FILE_CONFIG_NAME		"WebConfig.dat"
#define FILE_CONFIG_UPLOAD_NAME		"cpData.dat"
#define FILE_CONFIG_UPLOAD_PATH		"/home/flexyard/flexyard/dfile/cpData.dat"
#define RTN_SUCCESS			0
#define RTN_FAILURE			-1

/*
	Standard Inputs
*/
#define SPS_NONE			'N'		//Standard Proximity Switches:none
#define SPS_SINGLE			'S'		//Standard Proximity Switches:single
#define SPS_DOUBLE			'D'		//Standard Proximity Switches:double

/*
	Auxiliary Inputs
*/
#define APS_NONE			'N'		//Auxiliary Proximity Switches:none
#define APS_SINGLE			'S'		//Auxiliary Proximity Switches:single
#define APS_DOUBLE			'D'		//Auxiliary Proximity Switches:double

/*
	Outputs
*/

#define PIN_FUNCTION_NORMAL		'N'		//Pin Function: Normal(3 lights)
#define PIN_FUNCTION_SYNC		'S'		//Pin Function: Flash Synchronous(2 lights flash at same time)
#define PIN_FUNCTION_Alter		'A'		//Pin Function: Flash Alternate(2 lights flash alternately)

#define STROBE_LIGHT_CONTINUOUS		'C'		//Strobe light status: Continuous
#define STROBE_LIGHT_FLASH		'F'		//Strobe light status: Flash

/*
	Timers
*/
#define SELE_RESTORE_DETECT_E		'E'		//Self restore detect input pin #8
#define SELE_RESTORE_DETECT_F		'F'		//Self restore detect input pin #4
#define SELE_RESTORE_DETECT_B		'B'		//Self restore detect input both pin #8 and #4
#define SELF_RESTORE_NOR		'N'		//Self restore function to normal
#define SELF_RESTORE_REV		'R'		//Self restore function to reverse
#define SELF_RESTORE_NONE		'D'		//Self restore function disable

/*
	Special
*/
#define SWITCH_TYPE_SINGLE		'S'		//switch type single
#define SWITCH_TYPE_CROSSOVER_A		'A'		//switch type crossover A
#define SWITCH_TYPE_CROSSOVER_B		'B'		//switch type crossover B
#define PRESENCE_DETECT_ALL		'O'		//presence detection on switch A and B
#define PRESENCE_DETECT_A		'A'		//presence detection on switch A
#define PRESENCE_DETECT_B		'B'		//presence detection on switch B

/*
	IO pings
*/
#define MAX_NUM_IO              	32      //max io number in dio24
