#include <stdio.h>
#include <string.h>
#include "include/DefIo.h"

#define MAX_NUM_IO              24      //max io number in dio24
IO_DEF_DATA ioDef[MAX_NUM_IO];

int main()
{
	FILE *fp;
	char fileName[100];
	int idx;

	sprintf(fileName,"/home/flexyard/flexyard/sysconfig/IoConfig4.dat");
	if ((fp = fopen (fileName,"r")) != NULL)
	{
                fread(&ioDef, sizeof(IO_DEF_DATA) * MAX_NUM_IO , 1,fp);
                fclose(fp);
	}
	else
	{
		printf("Can not open yardConfig file quit\n");
		return 0;
	}

	int i;
	char content[50000];
	char tempStr[50];
	memset(content, 0x0, sizeof(content));

	for(i = 0; i < MAX_NUM_IO; i++)
	{
		//1-3
		memset(tempStr, 0x0, sizeof(tempStr));
		if(strlen(ioDef[i].devName) == 0)
		{
			sprintf(ioDef[i].devName, "%s", "none");
		}
		sprintf(tempStr, "%s||", ioDef[i].devName);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devID);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devSubID);
		strcat(content, tempStr);

		//4-6
		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devType == '\0')
		{
			ioDef[i].devType = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devType);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devSubType == '\0')
		{
			ioDef[i].devSubType = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devSubType);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devNode);
		strcat(content, tempStr);

		//7-9
		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devBoard);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devByte);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devBit);
		strcat(content, tempStr);

		//10-12
		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devHighLow == '\0')
		{
			ioDef[i].devHighLow = '*';
		}
		sprintf(tempStr, "%c||", ioDef[i].devHighLow);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devIoType == '\0')
		{
			ioDef[i].devIoType = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devIoType);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devIoSubType == '\0')
		{
			ioDef[i].devIoSubType = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devIoSubType);
		strcat(content, tempStr);

		//13-15
		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devIoFamily == '\0')
		{
			ioDef[i].devIoFamily = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devIoFamily);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devTime);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].devSlowTime);
		strcat(content, tempStr);

		//16-18
		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].serialNo);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		if(ioDef[i].devMade == '\0')
		{
			ioDef[i].devMade = '*'; 
		}
		sprintf(tempStr, "%c||", ioDef[i].devMade);
		strcat(content, tempStr);

		/*memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].mode);
		strcat(content, tempStr);

		//19-21
		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].board);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].input);
		strcat(content, tempStr);

		memset(tempStr, 0x0, sizeof(tempStr));
		sprintf(tempStr, "%d||", ioDef[i].channel);
		strcat(content, tempStr);*/

		/*printf("ioDef[%d] = %s,%d,%d,   %c,%c,%d,   %d,%d,%d,   %c,%c,%c,   %c,%d,%d,   %d,%c,%d,   %d,%d,%d \n", i,
			ioDef[i].devName, ioDef[i].devID, ioDef[i].devSubID,
			ioDef[i].devType, ioDef[i].devSubType, ioDef[i].devNode,
			ioDef[i].devBoard, ioDef[i].devByte, ioDef[i].devBit,
			ioDef[i].devHighLow, ioDef[i].devIoType, ioDef[i].devIoSubType,
			ioDef[i].devIoFamily, ioDef[i].devTime, ioDef[i].devSlowTime,
			ioDef[i].serialNo, ioDef[i].devMade, ioDef[i].mode,
			ioDef[i].board, ioDef[i].input, ioDef[i].channel
			);
		*/
	}

	printf("Content-Type: text/html\n\n");
	printf(content);
}
