/*
	save configuration to file
*/

#include <stdio.h>
#include <unistd.h>
#include <string.h> /* for strncpy */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <net/if.h>
#include <arpa/inet.h>
#include <unistd.h>

#include "include/DefInputS.h"
#include "include/DefInputA.h"
#include "include/DefInputD.h"
#include "include/DefOutput.h"
#include "include/DefSpecial.h"
#include "include/DefTimer.h"
#include "include/DefCommon.h"
#include "include/DefConfig.h"
#include "include/DefIo.h"
#include "include/DefCommFunc.h"
#include "include/DefSwType.h"
#include "include/DefRadio.h"
#include "include/DefAudio.h"
#include "include/DefLightout.h"

#include "include/DefCommon.h"

//common
char *data;			//data from web page
char *date;			//data from web page
char dataTemp[100];
int16_t intTemp;
char fileName[100];
FILE *fp;
FILE *fp1;
char tempStr[20];
int len;

//record
short checkAuPass();

int main()
{
	memset(dataTemp, 0x0, sizeof(dataTemp));

	printf("Content-Type: text/html\n\n");

	date = (char*)getenv("CONTENT_LENGTH");

	short result = 1;

	data = (char *)getenv("QUERY_STRING");

//test
//result = checkAuPass();
//return 1;

	if(data == NULL)
	{
		printf("fail");
	}
	else
	{
		sscanf(data, "type=%1s", dataTemp);
		if(dataTemp[0] == 'S')
		{
			//save switch detect input
			result = checkAuPass();
			if(result != 1)
			{
				printf("%d", result);
				return -1;
			}
			else
			{
				printf("%d", 1);
				return 1;
			}
		}
		
		if(dataTemp[0] == 'S')
		{
			/*FILE *fp;
			short dataLen = sizeof(CONFIG_WEB_DATA);
			cwData.dataLen = dataLen;
			if((fp = fopen("/home/flexyard/flexyard/sysconfig/WebConfig.dat", "w")) == NULL)
			{
				printf("-1");//open fail
				return -1;
			}
			else
			{
				if(fwrite((char *)&cwData, sizeof(cwData), 1, fp) != 1)
				{
					printf("-2");//write fail
				}
				else
					printf("1");//success
			}
			fclose(fp);*/
		}
	}

	//printf("%s\n", "test123");

	return 0;
}

/*******************************************************************************
  Class :
  Function Name :	checkAuPass
  Input         :
  Output        :
  purpose       :	check switch authority
  Note          :
*******************************************************************************/
short checkAuPass()
{
	char hostname[128];
	char hostname1[128];
	char aupass_decode[128];
	char aupass[128];
	int number = 0;
	short idx = 0, idy = 0;

	memset(aupass_decode, 0x0, sizeof(char) * 128);
	memset(aupass, 0x0, sizeof(char) * 128);
	memset(hostname, 0x0, sizeof(char) * 128);
	memset(hostname1, 0x0, sizeof(char) * 128);

	gethostname(hostname, sizeof(hostname));
	//printf("hostname=%s\n", hostname);
	if(strstr(hostname, "ts7250") != NULL)
	{
		//printf("match\n");
	}
	else
	{
		//printf("does not match\n");
	}

	FILE *fp;
	if((fp = fopen("/home/flexyard/flexyard/sysconfig/config_aupass.txt", "r")) == NULL)
	{
		return -1;
	}
	else
	{
		number = fread(aupass, sizeof(char), 50, fp);
	}
	fclose(fp);
 
	//printf("au_old=%s\n", aupass);
	idy = 0;
	for(idx = 0; idx < 128; idx++)
	{
		if(aupass[idx] == '\0' || aupass[idx] == '\n')
		{
			break;
		}
		//printf("test, idx=%d, char=%c\n", idx, aupass[idx]);
		if(aupass[idx] != '\0' && idx % 2 == 0)
		{
			switch(aupass[idx])
			{
				case '0':
					aupass_decode[idy] = '9';
					break;
				case '1':
					aupass_decode[idy] = '8';
					break;
				case '2':
					aupass_decode[idy] = '7';
					break;
				case '3':
					aupass_decode[idy] = '6';
					break;
				case '4':
					aupass_decode[idy] = '5';
					break;
				case '5':
					aupass_decode[idy] = '4';
					break;
				case '6':
					aupass_decode[idy] = '3';
					break;
				case '7':
					aupass_decode[idy] = '2';
					break;
				case '8':
					aupass_decode[idy] = '1';
					break;
				case '9':
					aupass_decode[idy] = '0';
					break;
				default:
					aupass_decode[idy] = aupass[idx];
					break;
			}
			//printf("au_new[%d]=%c\n", idy, aupass_decode[idy]);
			idy++;
		}
	}
	//printf("au_new=%s\n", aupass_decode);

	sprintf(hostname1, "%s-%s", "ts7250", aupass_decode);
	if(strcmp(hostname1, hostname) == 0)
	{
		return 1;
	}
	else
	{
		return -1;
	}

	return 1;
}

