/*
	Auxiliary Input Structure
*/

#ifndef DEF_AUXILIARY_INPUT_DATA__
#define DEF_AUXILIARY_INPUT_DATA__

typedef struct InputA
{
	char aps;		//Auxiliary Proximity Switch.(none, single, double)
	int16_t dbgi;		//Delay before gap indicaion.(seconds)
	char btntoggle;		//Enable toggle button input.(enable, disable)
	char btnnormal;		//Enable normal button input.(enable, disable)
	char btnreverse;	//Enable reverse button input.(enable, disable)
	char distimern;		//Auxiliary input "disable timer" for normal button.(enable, disable)
	char distimerr;		//Auxiliary input "disable timer" for reverse button.(enable, disable)
	char distimert;		//Auxiliary input "disable timer" for toggle button.(enable, disable)
	int16_t distime;	//Disable time for disable timer.(seconds)
	int16_t dbgoi;		//Delay before gap indication during occupancy.(seconds)
}INPUT_AUXILIARY_DATA;
#endif

