/*
	DTMF Input Structure
*/

#ifndef DEF_DTMF_INPUT_DATA__
#define DEF_DTMF_INPUT_DATA__

typedef struct InputD
{
	char btntoggle;		//Enable toggle button input.(enable, disable)
	char btnnormal;		//Enable normal button input.(enable, disable)
	char btnreverse;	//Enable reverse button input.(enable, disable)
	char distimern;		//DTMF input "disable timer" for normal button.(enable, disable)
	char distimerr;		//DTMF input "disable timer" for reverse button.(enable, disable)
	char distimert;		//DTMF input "disable timer" for toggle button.(enable, disable)
	int16_t distime;	//Disable time for disable timer.(seconds)
}INPUT_DTMF_DATA;
#endif

